Name:           perl-Error
Version:        0.17026
Release:        4
Epoch:          1
Summary:        Error/exception handling in an OO-ish way
License:        (GPL+ or Artistic) and MIT
URL:            https://metacpan.org/release/Error
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/Error-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make git
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker)

BuildRequires:  perl(Carp) perl(Exporter) perl(overload)
BuildRequires:  perl(Scalar::Util) perl(strict) perl(vars) perl(warnings)

BuildRequires:  perl(base) perl(File::Spec) perl(IO::Handle)
BuildRequires:  perl(IPC::Open3) perl(lib) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
The Error package provides two interfaces.
Firstly Error provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that can either be thrown,
for subsequent catch, or can simply be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%package            help
Summary:            Documents for %{name}
Buildarch:          noarch
Requires:           man

%description        help
Man pages and other related documents for %{name}.

%prep
%autosetup -n Error-%{version} -p1 -S git

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist | xargs rm -f
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog Changes README examples/
%license LICENSE
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Error/

%files help
%{_mandir}/man3/Error.3*
%{_mandir}/man3/Error::Simple.3*

%changelog
* Sat Sep 14 2019 guiyao <guiyao@huawei.com> - 1:0.17026-4
- Package init
